ScoopParserInternal::Special Struct Reference

Internal: a special field of a ScoopParser. More...

## Public Member Functions
| Special ()
| constructor

## Public Attributes
int | m_type
| the special type: 1: numeric, 2: roman, 3: Alpha, 4: time, 5: date numeric, 6: date alpha
int | m_value
| the special value

## Detailed Description

Internal: a special field of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ Special()

ScoopParserInternal::Special::Special | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_type

int ScoopParserInternal::Special::m_type

the special type: 1: numeric, 2: roman, 3: Alpha, 4: time, 5: date numeric, 6: date alpha

Referenced by ScoopParser::readTextZoneParagraph(), and Special().

## ◆ m_value

int ScoopParserInternal::Special::m_value

the special value

Referenced by ScoopParser::readTextZoneParagraph(), and Special().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx